hardSmoke = {};

function hardSmoke.prerequisitesPresent(specializations)
    return true;
end;

function hardSmoke:load(savegame)
	self.objSmoke = {}; -- creation d'un objet pour contenir les variables du script
	self.objSmoke.seuilMax = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.hardSmoke#seuilMax"), 0.85);
	self.objSmoke.onOff = true;
	
	self.objSmoke.tab_particule = {};
	local particule = {};
	ParticleUtil.loadParticleSystem(self.xmlFile, particule, "vehicle.hardSmoke.particle", self.components, false, nil, self.baseDirectory)
	table.insert(self.objSmoke.tab_particule, particule)
end;


function hardSmoke:update(dt)	
	if self.isClient and self:getIsActive() and self.isMotorStarted then		
		if self.actualLoadPercentage > self.objSmoke.seuilMax and self.objSmoke.onOff then 
			for key, particule in pairs(self.objSmoke.tab_particule) do
                ParticleUtil.setEmittingState(particule, true);
			end;
		else
			for key, particule in pairs(self.objSmoke.tab_particule) do
                ParticleUtil.setEmittingState(particule, false);
			end;
		end;
	end;
end;
function hardSmoke:delete()
	if self.isClient then
        ParticleUtil.deleteParticleSystems(self.objSmoke.tab_particule);
	end
end;
function hardSmoke:onLeave()
	if self.isClient then
		for key, particule in pairs(self.objSmoke.tab_particule) do
			ParticleUtil.setEmittingState(particule, false);
		end;
	end;
end;
function hardSmoke:mouseEvent(posX, posY, isDown, isUp, button)
end;
function hardSmoke:keyEvent(unicode, sym, modifier, isDown)
end;
function hardSmoke:draw()
end;
